Subject: Re: [PATCH 3/3] pkt_sched: restore multiqueue prio scheduler

From: Jarek Poplawski <[email-masked]>
Date: Sun, 24 Aug 2008 21:19:05 +0200

On Sun, Aug 24, 2008 at 09:39:23AM -0400, jamal wrote:
...
> With current controls being per qdisc instead of per netdevice,
> the hol fear is unfounded. 
> You send and when hw cant keep up, you block just the one hwqueue.
> While hwqueue is blocked, you can accumulate packets in the prio qdisc
> (hence my statement it may not be necessary to accumulate packets in
> driver).

Jamal, maybe I miss something, but this could be like this only with
default pfifo_fast qdiscs, which really are per dev hwqueue. Other
qdiscs, including prio, are per device, so with prio, if a band with
the highest priority is blocked it would be requeued blocking other
bands (hwqueues in Alexander's case).

Cheers,
Jarek P.